﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _950838_RadGridViewHtmlView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void SetUpHtmlView(Telerik.WinControls.UI.RadGridView radGridView)
        {
            HtmlViewDefinition view = new HtmlViewDefinition();
            view.RowTemplate.Rows.Add(new RowDefinition());
            view.RowTemplate.Rows.Add(new RowDefinition());

            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("CustomerID"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("CompanyName"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("City"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("Country"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("SupplierColumn"));
            view.RowTemplate.Rows[0].Cells.Add(new CellDefinition("DiscontinuedColumn"));
            view.RowTemplate.Rows[1].Cells.Add(new CellDefinition("Phone"));

            view.RowTemplate.Rows[1].Cells[0].ColSpan = 2;
            view.RowTemplate.Rows[0].Cells[2].RowSpan = 2;
            view.RowTemplate.Rows[0].Cells[3].RowSpan = 2;
            view.RowTemplate.Rows[0].Height = 40;

            view.RowTemplate.ReadXml(@"..\..\html-data.html");
            radGridView1.ViewDefinition = view;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.suppliersTableAdapter.Fill(this.nwindDataSet.Suppliers);
            this.customersTableAdapter.Fill(this.nwindDataSet.Customers);
            this.SetUpHtmlView(this.radGridView1);

            GridViewComboBoxColumn supplierColumn = new GridViewComboBoxColumn();
            supplierColumn.Name = "SupplierColumn";
            supplierColumn.HeaderText = "Supplier";
            supplierColumn.DataSource = this.suppliersBindingSource;
            supplierColumn.ValueMember = "SupplierID";

            supplierColumn.DisplayMember = "ContactName";
            supplierColumn.FieldName = "SupplierID";
            supplierColumn.Width = 200;
            this.radGridView1.Columns.Add(supplierColumn);

            GridViewCheckBoxColumn checkBoxColumn = new GridViewCheckBoxColumn();
            checkBoxColumn.DataType = typeof(int);
            checkBoxColumn.Name = "DiscontinuedColumn";
            checkBoxColumn.FieldName = "Discontinued";
            checkBoxColumn.HeaderText = "Discontinued?";

            radGridView1.MasterTemplate.Columns.Add(checkBoxColumn);
            this.radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;
        }
    }
}
